{% extends 'page.html' %}

{% block subtitle %}{{ c.page.title }}{% endblock %}

{% block primary %}
  <div class="col-md-6 col-md-offset-3">
    <section class="module-content">
      {% if h.check_access('ckanext_pages_update') %}
        {% link_for _('Edit'), controller='ckanext.pages.controller:PagesController', action='pages_edit', page='/' + c.page.name, class_='btn btn-primary pull-right', icon='edit' %}
      {% endif %}
      <h1 class="page-heading">{{ c.page.title }}</h1>
      {% if c.page.content %}
        <div class="ckanext-pages-content">
          {% set editor = h.get_wysiwyg_editor() %}
          {% if editor %}
            <div>
                {{c.page.content|safe}}
            </div>
          {% else %}
            {{ h.render_content(c.page.content) }}
          {% endif %}
        </div>
      {% else %}
        <p class="empty">{{ _('This page currently has no content') }}</p>
      {% endif %}
    </section>
  </div>
{% endblock %}

{% block secondary %}{% endblock %}
